<div class="inscription-content">
  <form class="form" (ngSubmit)="submit()">
    <div class="error">
    <ul>
      <li *ngFor="let error of errors">{{ error.message }}</li>
    </ul>
    </div>
    <div class="content-form">
      <mat-card>
        <mat-card-title> Inscription </mat-card-title>
        <mat-divider></mat-divider>
        <mat-card-content>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer un username </mat-label>
            <input
              [(ngModel)]="form.username"
              name="username"
              type="text"
              matInput
              required
            />
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer un mot de passe </mat-label>
            <input
              [(ngModel)]="form.password"
              name="password"
              type="password"
              matInput
              required
            />
          </mat-form-field>
          <mat-spinner class="mat-spinner" *ngIf="isLoading" ></mat-spinner>
        </mat-card-content>
        <mat-card-actions>
          <div class="content-button">
            <button mat-raised-button color="primary" type="submit" [disabled]="isLoading">S'inscrire</button>
            <a mat-raised-button color="accent" type="submit" routerLink="/connexion">Se Connecter</a>
          </div>
        </mat-card-actions>
      </mat-card>
    </div>
  </form>
</div>
